Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedTxCache

    java.lang.Object
      org.jboss.aspects.versioned.DistributedTxCache

All Implemented Interfaces:
  org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer

public class DistributedTxCache
extends Object
implements org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer

This is a LRU cache. The TxCache itself is not transactional but any accesses to objects within the cache ARE transactional.

Field Summary
`protected org.jboss.aspects.versioned.DistributedTxCache.LRUCache` | `cache`
`protected String` | `cacheName`
`protected long` | `lockTimeout`
`protected static org.jboss.logging.Logger` | `log`
`protected int` | `maxSize`
`protected org.jboss.ha.framework.interfaces.HAPartition` | `partition`
`protected String` | `partitionName`
`protected DistributedSynchronizationManager` | `synchManager`
`protected DistributedVersionManager` | `versionManager`

Constructor Summary
`DistributedTxCache(int maxSize, long lockTimeout, String cacheName)`
`DistributedTxCache(int maxSize, long lockTimeout, String cacheName, String pName)`

Method Summary
`void` | `_flush()`
`void` | `_insert(Object key, Object obj)`
`void` | `_remove(Object key)`
`void` | `create()`
`protected org.jboss.ha.framework.interfaces.HAPartition` | `findHAPartitionWithName(String name)`
`void` | `flush(Object key)`
`Object` | `get(Object key)`
`Serializable` | `getCurrentState()`
`void` | `insert(Object key, Object obj)`
`protected void` | `pullState()`
`void` | `remove(Object key)`
`void` | `setCurrentState(Serializable newState)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### lockTimeout

    protected long lockTimeout

### synchManager

    protected DistributedSynchronizationManager synchManager

### versionManager

    protected DistributedVersionManager versionManager

### partitionName

    protected String partitionName

### partition

    protected org.jboss.ha.framework.interfaces.HAPartition partition

### cacheName

    protected String cacheName

### cache

    protected org.jboss.aspects.versioned.DistributedTxCache.LRUCache cache

### maxSize

    protected int maxSize

Constructor Detail

### DistributedTxCache

    public DistributedTxCache(int maxSize,
                              long lockTimeout,
                              String cacheName)

### DistributedTxCache

    public DistributedTxCache(int maxSize,
                              long lockTimeout,
                              String cacheName,
                              String pName)

Method Detail

### findHAPartitionWithName

    protected org.jboss.ha.framework.interfaces.HAPartition findHAPartitionWithName(String name)
                                                                             throws Exception

  Throws:
    `Exception`

### create

    public void create()
                throws Exception

  Throws:
    `Exception`

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### pullState

    protected void pullState()
                      throws Exception

  Throws:
    `Exception`

### _insert

    public void _insert(Object key,
                        Object obj)

### insert

    public void insert(Object key,
                       Object obj)
                throws Exception

  Throws:
    `Exception`

### _remove

    public void _remove(Object key)

### remove

    public void remove(Object key)

### _flush

    public void _flush()

### flush

    public void flush(Object key)

### get

    public Object get(Object key)

### getCurrentState

    public Serializable getCurrentState()

  Specified by:
    `getCurrentState` in interface `org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer`

### setCurrentState

    public void setCurrentState(Serializable newState)

  Specified by:
    `setCurrentState` in interface `org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.